/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import static javax.persistence.InheritanceType.JOINED;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Inheritance(strategy=JOINED)
@Table(name="FEATURE")
public class Feature {

	@Id
	@GeneratedValue
	@Column(name="featureId")
	protected Long mId;
	
	@Basic
	@Column(name="featureName")
	protected String mName;
	
	@ManyToOne
	@JoinColumn(name="appId")
	protected Application mApplication;

	/**
	 * @return the featureId
	 */
	public Long getId() {
		return mId;
	}

	/**
	 * @param featureId the featureId to set
	 */
	public void setId(Long featureId) {
		this.mId = featureId;
	}

	/**
	 * @return the featureName
	 */
	public String getName() {
		return mName;
	}

	/**
	 * @param featureName the featureName to set
	 */
	public void setName(String featureName) {
		this.mName = featureName;
	}

	/**
	 * @return the application
	 */
	public Application getApplication() {
		return mApplication;
	}

	/**
	 * @param application the application to set
	 */
	public void setApplication(Application application) {
		this.mApplication = application;
	}
}
