/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="HITURL")
public class HitURL extends Hit {
	
	@Basic
	@Column(name="method")
	protected String mMethod;

	@ManyToOne
	@JoinColumn(name="sessionId")
	protected Session mSession;
	
	@Basic
	@Column(name="isNewSession")
	protected Boolean mIsNewSession;
	
	@Basic
	@Column(name="queryStringSize")
	protected Integer mQueryStringSize;
	
	@Basic
	@Column(name="inputHeaderSize")
	protected Long mInputHeaderSize;
	
	@Basic
	@Column(name="inputStreamSize")
	protected Long mInputStreamSize;
	
	@Basic
	@Column(name="outputHeaderSize")
	protected Long mOutputHeaderSize;
	
	@Basic
	@Column(name="outputStreamSize")
	protected Long mOutputStreamSize;
	
	@Basic
	@Column(name="responseCode")
	protected Integer mResponseCode;

	/**
	 * @return the method
	 */
	public String getMethod() {
		return mMethod;
	}

	/**
	 * @param method the method to set
	 */
	public void setMethod(String method) {
		this.mMethod = method;
	}

	/**
	 * @return the session
	 */
	public Session getSession() {
		return mSession;
	}

	/**
	 * @param session the session to set
	 */
	public void setSession(Session session) {
		this.mSession = session;
	}

	/**
	 * @return the isNewSession
	 */
	public Boolean getIsNewSession() {
		return mIsNewSession;
	}

	/**
	 * @param isNewSession the isNewSession to set
	 */
	public void setIsNewSession(Boolean isNewSession) {
		this.mIsNewSession = isNewSession;
	}

	/**
	 * @return the queryStringSize
	 */
	public Integer getQueryStringSize() {
		return mQueryStringSize;
	}

	/**
	 * @param queryStringSize the queryStringSize to set
	 */
	public void setQueryStringSize(Integer queryStringSize) {
		this.mQueryStringSize = queryStringSize;
	}

	/**
	 * @return the inputHeaderSize
	 */
	public Long getInputHeaderSize() {
		return mInputHeaderSize;
	}

	/**
	 * @param inputHeaderSize the inputHeaderSize to set
	 */
	public void setInputHeaderSize(Long inputHeaderSize) {
		this.mInputHeaderSize = inputHeaderSize;
	}

	/**
	 * @return the inputStreamSize
	 */
	public Long getInputStreamSize() {
		return mInputStreamSize;
	}

	/**
	 * @param inputStreamSize the inputStreamSize to set
	 */
	public void setInputStreamSize(Long inputStreamSize) {
		this.mInputStreamSize = inputStreamSize;
	}

	/**
	 * @return the outputHeaderSize
	 */
	public Long getOutputHeaderSize() {
		return mOutputHeaderSize;
	}

	/**
	 * @param outputHeaderSize the outputHeaderSize to set
	 */
	public void setOutputHeaderSize(Long outputHeaderSize) {
		this.mOutputHeaderSize = outputHeaderSize;
	}

	/**
	 * @return the outputStreamSize
	 */
	public Long getOutputStreamSize() {
		return mOutputStreamSize;
	}

	/**
	 * @param outputStreamSize the outputStreamSize to set
	 */
	public void setOutputStreamSize(Long outputStreamSize) {
		this.mOutputStreamSize = outputStreamSize;
	}

	/**
	 * @return the responseCode
	 */
	public Integer getResponseCode() {
		return mResponseCode;
	}

	/**
	 * @param responseCode the responseCode to set
	 */
	public void setResponseCode(Integer responseCode) {
		this.mResponseCode = responseCode;
	}
}
