/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="REPORTPAR")
public class ReportParam {

	@Id
	@GeneratedValue
	@Column(name="reportParamId")
	protected Long mId;
	
	@Basic
	@Column(name="reportParamName")
	protected String mName;

	@Basic
	@Column(name="reportParamAsk")
	protected Boolean mAsk;
	
	@Basic
	@Column(name="reportParamPrompt")
	protected String mPrompt;
	
	@Basic
	@Column(name="reportParamDefault")
	protected String mDefault;
	
	@ManyToOne
	@JoinColumn(name="reportParamChooserId")
	protected ReportParamChooser mChooser;

	@ManyToOne
	@JoinColumn(name="reportId")
	protected Report mReport;
	
	@ManyToOne
	@JoinColumn(name="dashboardId")
	protected Dashboard mDashboard;
	
	/**
	 * @return the reportParamId
	 */
	public Long getId() {
		return mId;
	}

	/**
	 * @param reportParamId the reportParamId to set
	 */
	public void setId(Long reportParamId) {
		this.mId = reportParamId;
	}

	/**
	 * @return the reportParamName
	 */
	public String getName() {
		return mName;
	}

	/**
	 * @param reportParamName the reportParamName to set
	 */
	public void setName(String reportParamName) {
		this.mName = reportParamName;
	}

	/**
	 * @return the reportParamAsk
	 */
	public Boolean getAsk() {
		return mAsk;
	}

	/**
	 * @param reportParamAsk the reportParamAsk to set
	 */
	public void setAsk(Boolean reportParamAsk) {
		this.mAsk = reportParamAsk;
	}

	/**
	 * @return the reportParamPrompt
	 */
	public String getPrompt() {
		return mPrompt;
	}

	/**
	 * @param reportParamPrompt the reportParamPrompt to set
	 */
	public void setPrompt(String reportParamPrompt) {
		this.mPrompt = reportParamPrompt;
	}

	/**
	 * @return the reportParamDefault
	 */
	public String getDefault() {
		return mDefault;
	}

	/**
	 * @param reportParamDefault the reportParamDefault to set
	 */
	public void setDefault(String reportParamDefault) {
		this.mDefault = reportParamDefault;
	}

	/**
	 * @return the reportParamChooser
	 */
	public ReportParamChooser getChooser() {
		return mChooser;
	}

	/**
	 * @param reportParamChooser the reportParamChooser to set
	 */
	public void setChooser(ReportParamChooser reportParamChooser) {
		this.mChooser = reportParamChooser;
	}

	/**
	 * @return the report
	 */
	public Report getReport() {
		return mReport;
	}

	/**
	 * @param report the report to set
	 */
	public void setReport(Report report) {
		this.mReport = report;
	}

	/**
	 * @return the dashboard
	 */
	public Dashboard getDashboard() {
		return mDashboard;
	}

	/**
	 * @param dashboard the dashboard to set
	 */
	public void setDashboard(Dashboard dashboard) {
		this.mDashboard = dashboard;
	}
}
