/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="SESSION")
public class Session {

	@Id
	@GeneratedValue
	@Column(name="sessionId")
	protected Long mId;
	
	@Basic
	@Column(name="sessionCode")
	protected String mCode;
	
	@ManyToOne
	@JoinColumn(name="userId")
	protected User mUser;

	@ManyToOne
	@JoinColumn(name="clientHostId")
	protected ClientHost mClientHost;
	
	@ManyToOne
	@JoinColumn(name="versionId")
	protected ApplicationVersion mVersion;
	
	@ManyToOne
	@JoinColumn(name="envId")
	protected Environment mEnvironment;

	/**
	 * @return the sessionId
	 */
	public Long getId() {
		return mId;
	}

	/**
	 * @param sessionId the sessionId to set
	 */
	public void setId(Long sessionId) {
		this.mId = sessionId;
	}

	/**
	 * @return the sessionCode
	 */
	public String getCode() {
		return mCode;
	}

	/**
	 * @param sessionCode the sessionCode to set
	 */
	public void setCode(String sessionCode) {
		this.mCode = sessionCode;
	}

	/**
	 * @return the user
	 */
	public User getUser() {
		return mUser;
	}

	/**
	 * @param user the user to set
	 */
	public void setUser(User user) {
		this.mUser = user;
	}

	/**
	 * @return the clientHost
	 */
	public ClientHost getClientHost() {
		return mClientHost;
	}

	/**
	 * @param clientHost the clientHost to set
	 */
	public void setClientHost(ClientHost clientHost) {
		this.mClientHost = clientHost;
	}

	/**
	 * @return the version
	 */
	public ApplicationVersion getVersion() {
		return mVersion;
	}

	/**
	 * @param version the version to set
	 */
	public void setVersion(ApplicationVersion version) {
		this.mVersion = version;
	}

	/**
	 * @return the environment
	 */
	public Environment getEnvironment() {
		return mEnvironment;
	}

	/**
	 * @param environment the environment to set
	 */
	public void setEnvironment(Environment environment) {
		this.mEnvironment = environment;
	}
}
