/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="WEBAPP")
public class Webapp {
	
	@Id
	@GeneratedValue
	@Column(name="webappId")
	protected Long mId;
	
	@Basic
	@Column(name="webappName")
	protected String mName;

	@ManyToOne
	@JoinColumn(name="appId")
	protected Application mApplication;

	/**
	 * @return the webappId
	 */
	public Long getId() {
		return mId;
	}

	/**
	 * @param webappId the webappId to set
	 */
	public void setId(Long webappId) {
		this.mId = webappId;
	}

	/**
	 * @return the webappName
	 */
	public String getName() {
		return mName;
	}

	/**
	 * @param webappName the webappName to set
	 */
	public void setName(String webappName) {
		this.mName = webappName;
	}

	/**
	 * @return the application
	 */
	public Application getApplication() {
		return mApplication;
	}

	/**
	 * @param application the application to set
	 */
	public void setApplication(Application application) {
		this.mApplication = application;
	}
}
