/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo.scheduler;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="SCH_JOB_DECL", uniqueConstraints=@UniqueConstraint(columnNames="jobDeclName"))
public class JobDeclaration {
	
	@Id
	@GeneratedValue
	@Column(name="jobDeclId")
	protected Long mId;
	
	@Basic
	@Column(name="jobDeclName")
	protected String mName;
	
	@Basic
	@Column(name="jobDeclClassName")
	protected String mClassName;

	@OneToMany(fetch = FetchType.EAGER, cascade=CascadeType.ALL, mappedBy="mJobDeclaration")
	protected Set<JobDeclarationParam> mParams = new HashSet<JobDeclarationParam>();

	/**
     * @return the id
     */
    public Long getId()
    {
    	return mId;
    }

	/**
     * @param id the id to set
     */
    public void setId(Long id)
    {
    	mId = id;
    }

	/**
     * @return the name
     */
    public String getName()
    {
    	return mName;
    }

	/**
     * @param name the name to set
     */
    public void setName(String name)
    {
    	mName = name;
    }

	/**
     * @return the className
     */
    public String getClassName()
    {
    	return mClassName;
    }

	/**
     * @param className the className to set
     */
    public void setClassName(String className)
    {
    	mClassName = className;
    }

	/**
     * @return the params
     */
    public Set<JobDeclarationParam> getParams()
    {
    	return mParams;
    }

	/**
     * @param params the params to set
     */
    public void setParams(Set<JobDeclarationParam> params)
    {
    	mParams = params;
    }
}
