/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo.scheduler;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.appspy.server.bo.ReportParamChooser;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="SCH_JOB_DECL_PAR")
public class JobDeclarationParam {

	@Id
	@GeneratedValue
	@Column(name="jobDeclParId")
	protected Long mId;
	
	@Basic
	@Column(name="jobDeclParName")
	protected String mName;

	@ManyToOne
	@JoinColumn(name="jobDeclParChId")
	protected ReportParamChooser mChooser;

	@ManyToOne
	@JoinColumn(name="jobDeclId")
	protected JobDeclaration mJobDeclaration;

	/**
     * @return the id
     */
    public Long getId()
    {
    	return mId;
    }

	/**
     * @param id the id to set
     */
    public void setId(Long id)
    {
    	mId = id;
    }

	/**
     * @return the name
     */
    public String getName()
    {
    	return mName;
    }

	/**
     * @param name the name to set
     */
    public void setName(String name)
    {
    	mName = name;
    }

	/**
     * @return the jobDeclaration
     */
    public JobDeclaration getJobDeclaration()
    {
    	return mJobDeclaration;
    }

	/**
     * @param jobDeclaration the jobDeclaration to set
     */
    public void setJobDeclaration(JobDeclaration jobDeclaration)
    {
    	mJobDeclaration = jobDeclaration;
    }

	/**
     * @return the chooser
     */
    public ReportParamChooser getChooser()
    {
    	return mChooser;
    }

	/**
     * @param chooser the chooser to set
     */
    public void setChooser(ReportParamChooser chooser)
    {
    	mChooser = chooser;
    }
}
