/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo.scheduler;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="SCH_JOB_EXEC_PAR")
public class JobExecutionParam {

	@Id
	@GeneratedValue
	@Column(name="jobExecParId")
	protected Long mId;
	
	@Basic
	@Column(name="jobExecParVal")
	protected String mValue;

	@ManyToOne
	@JoinColumn(name="jobExecId")
	protected JobExecution mJobExecution;

	@ManyToOne
	@JoinColumn(name="jobSchParId")
	protected JobScheduleParam mJobScheduleParam;

	/**
     * @return the id
     */
    public Long getId()
    {
    	return mId;
    }

	/**
     * @param id the id to set
     */
    public void setId(Long id)
    {
    	mId = id;
    }

	/**
     * @return the value
     */
    public String getValue()
    {
    	return mValue;
    }

	/**
     * @param value the value to set
     */
    public void setValue(String value)
    {
    	mValue = value;
    }

	/**
     * @return the jobScheduleParam
     */
    public JobScheduleParam getJobScheduleParam()
    {
    	return mJobScheduleParam;
    }

	/**
     * @param jobScheduleParam the jobScheduleParam to set
     */
    public void setJobScheduleParam(JobScheduleParam jobScheduleParam)
    {
    	mJobScheduleParam = jobScheduleParam;
    }

	/**
     * @return the jobExecution
     */
    public JobExecution getJobExecution()
    {
    	return mJobExecution;
    }

	/**
     * @param jobExecution the jobExecution to set
     */
    public void setJobExecution(JobExecution jobExecution)
    {
    	mJobExecution = jobExecution;
    }
    
    
}
